ubuntu/+source/postgresql-9.1:ubuntu/trusty-proposed

Last commit made on 2016-10-27
Get this branch:
git clone -b ubuntu/trusty-proposed https://git.launchpad.net/ubuntu/+source/postgresql-9.1
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/trusty-proposed
Repository:
lp:ubuntu/+source/postgresql-9.1

Recent commits

4ba4585... by Martin Pitt on 2016-10-27

Import patches-unapplied version 9.1.24-0ubuntu0.14.04 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: e668d3cd144eab103d356efa4ea26e6ef6752697

New changelog entries:
  * New upstream bug fix release (LP: #1637236). No effective changes for
    PL/Perl, the version must just be higher than the one in precise, to not
    break upgrades.

e668d3c... by Martin Pitt on 2016-08-17

Import patches-unapplied version 9.1.23-0ubuntu0.14.04 to ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: 73ffcb68cef254c2443516358e9ce2a6ac94783d

New changelog entries:
  * New upstream bug fix release (LP: #1614113). No effective changes for
    PL/Perl, the version must just be higher than the one in precise, to not
    break upgrades.

73ffcb6... by Martin Pitt on 2016-05-12

Import patches-unapplied version 9.1.22-0ubuntu0.14.04 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 11912ba1d03da94d44df05b542fa0944593d5c36

New changelog entries:
  * New upstream bug fix release (LP: #1581016). No effective changes for
    PL/Perl, the version must just be higher than the one in precise, to not
    break upgrades.

11912ba... by Martin Pitt on 2016-03-31

Import patches-unapplied version 9.1.21-0ubuntu0.14.04 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 77f9d4d6a24d8a827c380476fed90100440cf43d

New changelog entries:
  * New upstream bug fix release (LP: #1564268)
    - In PL/Perl, properly translate empty Postgres arrays into empty Perl
      arrays.

77f9d4d... by Martin Pitt on 2016-02-11

Import patches-unapplied version 9.1.20-0ubuntu0.14.04 to ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: 7cb4086e6ae0d07cf8b2725f0dcb870f005954ec

New changelog entries:
  * New upstream release (LP: #1544576). No effective changes for PL/Perl, the
    version must just be higher than the one in precise, to not break
    upgrades.

7cb4086... by Martin Pitt on 2015-10-08

Import patches-unapplied version 9.1.19-0ubuntu0.14.04 to ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: f0ee45d6288858d4343be0483735209ee2f7d196

New changelog entries:
  * New upstream bug fix release (LP: #1504132). No effective changes for
    PL/Perl, the version must just be higher than the one in precise, to not
    break upgrades.

f0ee45d... by Martin Pitt on 2015-06-12

Import patches-unapplied version 9.1.18-0ubuntu0.14.04 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: a4eca378abfe55c49da9672d589014b3a40206d1

New changelog entries:
  * New upstream bug fix release (LP: #1464669). No effective changes for
    PL/Perl, the version must just be higher than the one in precise, to not
    break upgrades.

a4eca37... by Martin Pitt on 2015-06-03

Import patches-unapplied version 9.1.17-0ubuntu0.14.04 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 7c03acdd8e028413381547a592465cbd4f3132fd

New changelog entries:
  * New upstream bug fix release (LP: #1461425). No effective changes for
    PL/Perl, the version must just be higher than the one in precise, to not
    break upgrades.

7c03acd... by Martin Pitt on 2015-05-20

Import patches-unapplied version 9.1.16-0ubuntu0.14.04 to ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: d4b037677ec3574a1af7ae3a235cebfe23ffc30c

New changelog entries:
  * New upstream security/bug fix release (LP: #1457093)
    - Improve detection of system-call failures
      Our replacement implementation of snprintf() failed to check for errors
      reported by the underlying system library calls; the main case that
      might be missed is out-of-memory situations. In the worst case this
      might lead to information exposure, due to our code assuming that a
      buffer had been overwritten when it hadn't been. Also, there were a few
      places in which security-relevant calls of other system library
      functions did not check for failure.
      It remains possible that some calls of the *printf() family of functions
      are vulnerable to information disclosure if an out-of-memory error
      occurs at just the wrong time. We judge the risk to not be large, but
      will continue analysis in this area. (CVE-2015-3166)
   - Note: The other vulnerabilities fixed in 9.1.16 don't affect this version
     as we build the PL/Perl package only.

d4b0376... by Martin Pitt on 2015-02-06

Import patches-unapplied version 9.1.15-0ubuntu0.14.04 to ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: 2969958a1cc1ecee31e3c935d8c8e0f877aa2565

New changelog entries:
  * New upstream bug fix release (LP: #1418928). No effective changes for
    PL/Perl, the version must just be higher than the one in precise, to not
    break upgrades.